This discussion is archived
0 Replies Latest reply: Feb 12, 2013 3:13 AM by 990553 RSS

Coherence 3.6 on Tomcat 7

990553 Newbie
Currently Being Moderated
Hi,
I am trying to deploy an application (war) on Tomcat 7 which is instrumented on Coherence 3.6. On deployment time I am getting following exception. Please can anyone suggest how to fix the issue.

SEVERE: Exception sending context destroyed event to listener instance of class com.tangosol.coherence.servlet.api23.ServletContextListenerImpl
java.lang.IllegalArgumentException: cannot support ServletContext version 2.0
at com.tangosol.coherence.servlet.SessionHelper.getSupportedVersion(SessionHelper.java:506)
at com.tangosol.coherence.servlet.SessionHelper.ensureSessionHelper(SessionHelper.java:437)
at com.tangosol.coherence.servlet.api23.ServletContextListenerImpl.init(ServletContextListenerImpl.java:267)
at com.tangosol.coherence.servlet.api23.ServletContextListenerImpl.contextDestroyed(ServletContextListenerImpl.java:140)
at org.apache.catalina.core.StandardContext.listenerStop(StandardContext.java:4831)
at org.apache.catalina.core.StandardContext.stopInternal(StandardContext.java:5478)
at org.apache.catalina.util.LifecycleBase.stop(LifecycleBase.java:232)
at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:160)
at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1559)
at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1549)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
at java.util.concurrent.FutureTask.run(FutureTask.java:166)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
at java.lang.Thread.run(Thread.java:722)


Thanks

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points